XF86Setup(1)

NAME
XF86Setup - Graphical configuration utility for XFree86

SYNOPSIS
XF86Setup [ -sync ] [ -name appname ] [ -nodialog ] [ -- arg ...]

XF86Setup [ -sync ] [ -name appname ] [ -script ] [ -display display ] [ -geometry geometry ] filename [ [ -- ] arg ... ]

DESCRIPTION
XF86Setup is normally used to either perform the initial setup of the XFree86 X servers or to make adjustments to the existing configuration.

When used to initially configure the XFree86 servers, it will start the VGA 16 server and then allow configuration settings to be entered. Once that is completed the appropriate server for the hardware will be started and the configuration settings will be saved.

For a more complete description see the Quick-Start Guide to XFree86 Setup.

When run from within an already running server environment (e.g. from an xterm window), XF86Setup can be used to make adjustments to the current server configuration.

Note that when the existing XF86Config file is read, it is used to set the default values for various settings, but the complete contents of the existing file are not preserved. For example, when the new XF86Config file is written, it will not contain any additional comment lines from the original file.

When a filename is specified, it is interpreted as a script file containing Tcl/Tk commands to run. If the filename contains a slash, it is assumed that it specifies the path to the file to execute, otherwise the file is searched for in the user's PATH, unless the -script option is given, in which case, it is expected to exist in the scripts subdirectory of the XF86Setup library directory.

The result is entirely dependant on the contents of the file.

ARGUMENTS

-sync
    Turn on synchronization for all communication with an X server.

-name appname
    Use appname as the window name.

-display display
    Specify the display to talk to.

-nodialog
    Do not use the Dialog program for text mode user interaction. Normally XF86Setup will use the Dialog program, if it is found in the user's PATH, otherwise a simple text interface is used.

-geometry geomspec
    Specify the initial geometry for the window.

-script
    Look for the specified filename in the scripts directory, instead of searching the user's PATH (if the filename doesn't specify a path).

ENVIRONMENT

PATH
    Used to search for the location of the Dialog program

XWINHOME
    If set, indicates the parent directory of X bin and lib directories.

XF86SETUPLIB
    If set, overrides the default location of the library directory (normally <XRoot>/lib/X11/XF86Setup).

TMPDIR
    Directory in which to store temporary files (defaults to /tmp)

FILES
<XRoot>/lib/X11/XF86Config
or /etc/XF86Config
    Can optionally be read to set default values for configuration settings

SEE ALSO
Quick-Start Guide to XFree86 Setup
Xserver(1), XFree86(1), XF86Config(4/5), xvidtune(1), xdm(1), xf86config(1), xinit(1), XF86Misc(3), XF86VidMode(3), xmseconfig(1), dialog(1)

AUTHOR

Joe Moss, joe@XFree86.org

BUGS
Does not support all possible configurations, for example, graphics tablets must be configured by editing the XF86Config file manually.